import { Renderer2, ElementRef } from '@angular/core';
export declare class RButtonComponent {
    private readonly renderer;
    private readonly hostElement;
    size: string;
    status: string;
    shape: string;
    appearance: string;
    constructor(renderer: Renderer2, hostElement: ElementRef<HTMLElement>);
    getIcon(): string;
    private getAttribute;
    get filled(): boolean;
    set filled(value: boolean);
    get ghost(): boolean;
    set ghost(value: boolean);
    get outline(): boolean;
    set outline(value: boolean);
    get fullWidth(): boolean;
    set fullWidth(value: boolean);
    private _fullWidth;
    get disabled(): boolean;
    set disabled(value: boolean);
    private _disabled;
    get primary(): boolean;
    get info(): boolean;
    get success(): boolean;
    get warning(): boolean;
    get danger(): boolean;
    get basic(): boolean;
    get rectangle(): boolean;
    get roundedPill(): boolean;
    get small(): boolean;
    get medium(): boolean;
    get large(): boolean;
    get iconLeft(): boolean;
    get iconRight(): boolean;
    onClick(event: Event): void;
    get iconElement(): HTMLElement;
    firstChildNotComment(node: Node): ChildNode;
    lastChildNotComment(node: Node): ChildNode;
}
